/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.
 *
 *   Created: Wed Jun 23 14:30:05 2004
 */
#ifndef __CEXTRACT__

int compute_all_ik_R6_arm(double **q_list, p3d_matrix4 Tgrip, p3d_matrix4 Tbase, double a2, double r4, double r7);
extern int compute_inverse_kinematics_R6_arm ( double *q, p3d_matrix4 Tgrip, p3d_matrix4 Tbase, double a2, double r4, double r7, int e1, int e3, int e5 );
extern int CTBot_MGI ( p3d_matrix4 Ff, double q[13] );

#endif /* __CEXTRACT__ */
